Loading...
Searching...
No Matches
BALL::FermiBaseFunction Class Reference

`#include <BALL/SCORING/COMMON/fermiBaseFunction.h>`

Inheritance diagram for BALL::FermiBaseFunction:

## Public Member Functions

| FermiBaseFunction ()
| FermiBaseFunction (float lower, float upper)
void | setLower (float lower)
void | setUpper (float upper)
float | calculate (float x) const
float | calculate (float x, float lower, float upper)
Public Member Functions inherited from BALL::ScoringBaseFunction
| ScoringBaseFunction ()
| ScoringBaseFunction (float lower, float upper)
virtual | ~ScoringBaseFunction ()

## Additional Inherited Members

Public Types inherited from BALL::ScoringBaseFunction
enum | BaseFunctionType { BASE_FUNCTION_TYPE__LINEAR , BASE_FUNCTION_TYPE__FERMI }
Protected Attributes inherited from BALL::ScoringBaseFunction
float | lower_
float | upper_

## Detailed Description

Sigmoidal base function

Definition at line 13 of file fermiBaseFunction.h.

## Constructor & Destructor Documentation

## FermiBaseFunction() [1/2]

BALL::FermiBaseFunction::FermiBaseFunction | ( |  | ) |

## FermiBaseFunction() [2/2]

BALL::FermiBaseFunction::FermiBaseFunction | ( | float | lower,
|  | float | upper )

The function is defined in such a way that the score approaches 1 for values < lower and 0 for values > upper. If you need contrary behaviour, you have to supply a "lower" which is greater than "upper". This will invert the function.

## Member Function Documentation

## calculate() [1/2]

float BALL::FermiBaseFunction::calculate | ( | float | x | ) | const

virtual

Reimplemented from BALL::ScoringBaseFunction.

## calculate() [2/2]

float BALL::FermiBaseFunction::calculate | ( | float | x,
|  | float | lower,
|  | float | upper )

virtual

Reimplemented from BALL::ScoringBaseFunction.

## setLower()

void BALL::FermiBaseFunction::setLower | ( | float | lower | ) |

virtual

Reimplemented from BALL::ScoringBaseFunction.

## setUpper()

void BALL::FermiBaseFunction::setUpper | ( | float | upper | ) |

virtual

Reimplemented from BALL::ScoringBaseFunction.